import { http } from "@/utils/http";

/** 设备配置列表 */
export const getDeviceConfigList = (data?: object) => {
  return http.request<any>("post", "/device-config/list", { data });
};

/** 新增设备配置 */
export const addDeviceConfig = (data: object) => {
  return http.request<any>("post", "/device-config/add", { data });
};

/** 修改设备配置 */
export const modifyDeviceConfig = (data: object) => {
  return http.request<any>("post", "/device-config/modify", { data });
};

/** 批量修改设备配置 */
export const batchModifyDeviceConfig = (data: object) => {
  return http.request<any>("post", "/device-config/batchModify", { data });
};

/** 读取远程设备配置 */
export const readDeviceConfig = (shortId: string) => {
  return http.request<any>("get", `/device-config/${shortId}`);
};

/** 删除设备配置 */
export const removeDeviceConfig = (id: number) => {
  return http.request<any>("get", `/deviceConfig/delete/${id}`);
};
